package com.schoolinout.system.service;

import com.schoolinout.system.domain.Parent;
import com.schoolinout.system.domain.dto.ParentDto;

import java.util.List;

/**
 * 家长管理Service接口
 *
 * @author sakura
 * @date 2024-01-09
 */
public interface IParentService {


    /**
     * 查询家长管理
     *
     * @param id 家长管理主键
     * @return 家长管理
     */
    public Parent selectParentById(Long id);

    /**
     * 查询家长管理列表
     *
     * @param parent 家长管理
     * @return 家长管理集合
     */
    public List<Parent> selectParentList(Parent parent);

    /**
     * 新增家长
     *
     * @param dto 新增数据
     * @return 结果
     */
    public int saveParent(ParentDto dto);

    /**
     * 新增家长管理
     *
     * @param parent 家长管理
     * @return 结果
     */
    public int insertParent(Parent parent);

    /**
     * 修改家长管理
     *
     * @param parent 家长管理
     * @return 结果
     */
    public int updateParent(Parent parent);

    /**
     * 批量删除家长管理
     *
     * @param ids 需要删除的家长管理主键集合
     * @return 结果
     */
    public int deleteParentByIds(Long[] ids);

    /**
     * 删除家长管理信息
     *
     * @param id 家长管理主键
     * @return 结果
     */
    public int deleteParentById(Long id);
}
